
##############################################################################
#
# GNUMake SAS-C pattern rules
#
# These rules compiles every c and assembler source and puts the output to
# the OBJDIR directory
#

$(filter %.ao,$(OBJS)): $(OBJDIR)/%.ao: %.asm
	sc:c/sc $(SCOPTS) $(DEBUG) $(SCOPTIMIZE) ASM  $*.asm OBJNAME $(ADOBJDIR)/$*.ao
	c:move $(ADOBJDIR)/$*.o $(ADOBJDIR)/$*.ao

$(filter %.o,$(OBJS)): $(OBJDIR)/%.o: %.c
	sc:c/sc $(SCOPTS) $(DEBUG) $(SCOPTIMIZE) CSRC $*.c OBJNAME t:
	c:move t:$*.o $(ADOBJDIR)/$*.o

protos.h: $(SRCS)
	c:swtools/mkproto $(SRCS) TO protos.h

